rkt - App Container runtime(1)

NAME

rkt-image-render - Render a stored image to a directory with all its dependencies

SYNOPSIS

rkt image render IMAGE OUTPUT_DIR [flags]

DESCRIPTION

IMAGE should be a string referencing an image: either a ID or an image name.

This differs from extract in that the rendered image is in the state the app would see when running in rkt, dependencies and all.

Note that in order to make cleaning up easy (just rm -rf), this does not use overlayfs or any other mechanism.

OPTIONS

-h, --help[=false]
    help for render

--overwrite[=false]
    overwrite output directory

--rootfs-only[=false]
    render rootfs only

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    print out more debug information to stderr

--dir=/var/lib/rkt
    rkt data directory

--insecure-options=none
    comma-separated list of security features to disable. Allowed values: "none", "image", "tls", "ondisk", "http", "pubkey", "capabilities", "paths", "seccomp", "all-fetch", "all-run", "all"

--local-config=/etc/rkt
    local configuration directory

--system-config=/usr/lib/rkt
    system configuration directory

--trust-keys-from-https[=false]
    automatically trust gpg keys fetched from https

--user-config=
    user configuration directory

SEE ALSO

rkt-image(1)

HISTORY

30-Jan-2018 Auto generated by spf13/cobra